declare type Options = {
    validDragStartDecider?: (e: PointerEvent & TouchEvent) => boolean;
    dragStart: (e: PointerEvent & TouchEvent) => void;
    drag: (e: PointerEvent & TouchEvent, eventData: EventData) => void;
    dragEnd: (e: PointerEvent & TouchEvent, eventData: EventData) => void;
};
declare type EventData = {
    x: number;
    y: number;
    deltaX: number;
    deltaY: number;
};
export declare function draggable($elements: HTMLElement | HTMLElement[] | NodeListOf<HTMLElement>, callbacks: Options): void;
export {};
